/*	
	Copyright (c) 2007 J.D. Gehman, Melbourne Australia

    This file is part of BS-REDOR.
	It was introduced by John D. Gehman, Frances Separovic, Kun Lu, and
	Anil K. Mehta (2007) in J. Phys. Chem. B 111, pp7802-7811

    BS-REDOR is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    BS-REDOR is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _PAAR_INCLUDED_

#include <stdio.h>
#include <cstring>
#include <fstream>
#include <iomanip>
#include <cstdlib>
#include <cmath>
#include <ctime>
#include <iostream>
#include <gsl/gsl_vector.h>
#include <gsl/gsl_multiroots.h>

#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_blas.h>
#include <gsl/gsl_multifit_nlin.h>
#include <gsl/gsl_deriv.h>
#include <gsl/gsl_min.h>
#include <gsl/gsl_errno.h>

#include <gsl/gsl_math.h>
#include <gsl/gsl_diff.h>
#include <gsl/gsl_eigen.h>

#include <gsl/gsl_linalg.h>
using namespace std;
#define _PAAR_INCLUDED_
#endif

class BoltzmannME {
public:
    int np;     // number of discrete points for distance distribution
    int nc;     // number of data points
	double chi2;
	BoltzmannME( class Paar& );
	int Lagrange_siman( class Paar& );
	int search_scale( class Paar& );
	int MC_error ( Paar& );
	int Lagrange_siman_MC( Paar& );
private:
};
	
int _gv_stdev( gsl_vector *, const gsl_vector *, const gsl_vector *,
		int, gsl_vector *);
double _grandom_sigma ( const gsl_rng *, double);
int _gv_pow (gsl_vector *, const double);


