/*	
	Copyright (c) 2007 J.D. Gehman, Melbourne Australia

    This file is part of BS-REDOR.
	It was introduced by John D. Gehman, Frances Separovic, Kun Lu, and
	Anil K. Mehta (2007) in J. Phys. Chem. B 111, pp7802-7811

    BS-REDOR is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    BS-REDOR is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "Paar.h"
#include "BoltzmannME.h"

int main ( int argc, char *argv[]  ) {
	Paar P(argv[1]);
	if ( !strcmp(P.mode,"fit") ) {
		BoltzmannME Fit(P);
		Fit.Lagrange_siman(P);
		if (! P.calc_dist_stats() ) cout << "stats calc failed\n";
	}
	if ( !strcmp(P.mode,"err") ) {
//		P.set_lagrange(0,8.2298);
//		P.set_lagrange(1,-33.0216);
//		P.set_lagrange(2,106.0833);
//		P.set_lagrange(3,-21.105);
//		P.set_lagrange(4,-39.653);
//		P.set_lagrange(5,-56.5544);
//		P.set_lagrange(6,-43.8506);
//		P.set_lagrange(7,48.4807);
//		P.set_lagrange(8,-21.4782);
//		P.set_lagrange(9,-571031);
//		P.set_lagrange(10,-200.4127);
		BoltzmannME Fit(P);
		Fit.Lagrange_siman(P);
		if (! P.calc_dist_stats() ) cout << "stats calc failed\n";
		Fit.MC_error(P);
	}
	if (! P.write_out() ) cout << "write_out failed\n";
	if (! P.gnuplot_out() ) cout << "gnuplot_out failed\n";
	return 0;
}
