/*	
	Copyright (c) 2007 J.D. Gehman, Melbourne Australia

    This file is part of BS-REDOR.
	It was introduced by John D. Gehman, Frances Separovic, Kun Lu, and
	Anil K. Mehta (2007) in J. Phys. Chem. B 111, pp7802-7811

    BS-REDOR is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    BS-REDOR is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "utils.h"
using namespace std;

int iscomment ( string str ) {
	string ignore( "#" );
	if ( !str.compare(0,1,ignore,0,1) ) return(1);
	else return(0);
}

void DEBUG (int i ) { cout << "DEBUG: " << i << endl; }

double gvg(const gsl_vector *v, int i) {
	return gsl_vector_get(v,i);
}

double gmg(const gsl_matrix *m, int c, int r) {
	return gsl_matrix_get(m,c,r);
}

int report_array(const gsl_vector *v, int n) {
	char str[179];
	for (int w=0; w<n; w++) {
		sprintf(str," %9.2le", gvg(v,w));
		cout << str;
	}
	cout << endl;
}
